Subject: Re: [RFC PATCH 06/19] powerpc: gamecube/wii: introduce GAMECUBE_COMMON

From: Albert Herranz <[email-masked]>
Date: Thu, 26 Nov 2009 16:22:40 +0100

Benjamin Herrenschmidt wrote:
> On Tue, 2009-11-24 at 19:03 +0100, Albert Herranz wrote:
>> Segher Boessenkool wrote:
>>>> Add a config option GAMECUBE_COMMON to be used as a dependency for all
>>>> options common to the Nintendo GameCube and Wii video game consoles.
>>> Maybe something like GAMECUBE_OR_WII instead?  "COMMON" is so
>>> common it's meaningless.
>>>
>> I don't like either GAMECUBE_OR_WII.
>> It looks as if it can be used to match options for the GAMECUBE _or_ WII. But that's not the meaning of it.
>>
>> This option should be used only for options applicable to both the GAMECUBE and WII, i.e. basically those options in the WII which where "inherited" from the GAMECUBE to make it retro-compatible.
>>
>> If GAMECUBE_COMMON is unacceptable, maybe GAMECUBE_LEGACY or GAMECUBE_COMPAT?
> 
> I don't have any strong opinion. Maybe NINTENDO_COMMON ?
> 

We should avoid using NINTENDO just to refer to the Nintendo GameCube or Wii. They have other consoles too :)
There's even a port of Linux to the Nintendo DS...

I'd stick to GAMECUBE_COMMON or GAMECUBE_COMPAT.

> Cheers,
> Ben.

Thanks,
Albert